Name:           showimg
Version:        0.9.5
Release:        12%{?dist}
Summary:        Feature-rich image viewer for KDE

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.jalix.org/projects/showimg
Source0:        http://www.jalix.org/projects/showimg/download/0.9.5/showimg-0.9.5.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  kdebase-devel >= 6:3.0.0
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  libkipi-devel, libkexif-devel, libexif-devel
BuildRequires:  mysql-devel, postgresql-devel, libpqxx-devel

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig


%description
ShowImg is a feature-rich image viewer for KDE including an
image management system. It is highly configurable and supports
numerous image formats.


%package mysql
Summary:        MySQL plugin for the Showimg image database
Group:          Applications/Multimedia
Requires:       %{name} = %{version}

%description mysql
This is the plugin to use MySQL as the backend for Showimg's image
database


%package pgsql
Summary:        PostgreSQL plugin for the Showimg image database
Group:          Applications/Multimedia
Requires:       %{name} = %{version}

%description pgsql
This is the plugin to use PostgreSQL as the backend for Showimg's image
database


%prep
%setup -q
#perl -pi -e 's/KDE_DOCS=AUTO/KDE_DOCS=showimg/g' doc/??/Makefile.am


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
%configure --disable-rpath \
           --disable-debug \
           --enable-libkipi \
           --enable-mysql \
           --enable-pgsql \
           --with-pqxxlibdir=%{_libdir} \
           --with-kexif \
           --with-showimgdb
#           --enable-final \

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/kde
desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --add-category X-Fedora \
  --add-category Application \
  --add-category Viewer \
  --add-category Graphics \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/%{name}.desktop

rm -f $RPM_BUILD_ROOT%{_datadir}/apps/showimg/convert2png.pl
#find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc showimg/AUTHORS showimg/COPYING showimg/ChangeLog showimg/NEWS showimg/README
%{_bindir}/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/%{name}
%{_datadir}/apps/konqueror/servicemenus/*
%dir %{_datadir}/apps/showimgpart/
%{_datadir}/apps/showimgpart/showimgpart.rc
%{_datadir}/services/showimgpart.desktop
%{_datadir}/icons/*/*/apps/*
%{_datadir}/doc/HTML/*/%{name}
%{_datadir}/mimelnk/image/*.desktop
%{_libdir}/kde3/libshowimgpart.*
%{_libdir}/libshowimgcore.*
%{_libdir}/kde3/showimg_kexidb_sqlite*driver.*
%{_libdir}/libshowimgkexi*
%{_datadir}/services/showimg_kexidb_sqlite*driver.desktop
%{_datadir}/servicetypes/showimg_kexidb_driver.desktop

%files mysql
%{_libdir}/kde3/showimg_kexidb_mysqldriver.*
%{_datadir}/services/showimg_kexidb_mysqldriver.desktop

%files pgsql
%{_libdir}/kde3/showimg_kexidb_pqxxsqldriver.*
%{_datadir}/services/showimg_kexidb_pqxxsqldriver.desktop


%changelog
* Sat Oct 28 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.9.5-12
- rebuild time !

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.9.5-11
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 21 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.9.5-10
- yep, just that

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.9.5-9
- guess what...

* Thu Jun 22 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-8
- rebuild (again)

* Thu Jun 01 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-7
- rebuild

* Wed May 31 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-6
- rebuild for new libpqxx

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-5
- rebuild

* Sun Jan 22 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-4
- fix pqxx detection on x86_64

* Sat Jan 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-3
- fix improper QT detection

* Sat Jan 14 2006 Aurelien Bompard <gauret[AT]free.fr> 0.9.5-1
- version 0.9.5

* Sun Jul 24 2005 Aurelien Bompard <gauret[AT]free.fr> 0.9.4.1-4
- rebuild for libexif
- use dist tags

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.4.1-3
- add missing %%dir entry for showimgpart directory

* Mon Jan 24 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4.1-2
- rebuild for libkexif 0.2.1

* Thu Jan 20 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4.1-0.fdr.1
- version 0.9.4-1: fixes a dependency problem on libkexif 0.2.x

* Wed Dec 01 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.2
- fix BuildRequires

* Tue Nov 30 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.1
- version 0.9.4 final
- remove perl script requiring the GIMP module until it is packaged

* Mon Nov 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.0.3.rc2
- update to rc2

* Mon Nov 15 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.0.2.rc1
- update to rc1

* Sun Sep 26 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.4-0.fdr.1
- version 0.9.4
- drop support for FC1 (EOL)
- use libkipi for plugins

* Tue Jul 06 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.3-0.fdr.1
- version 0.9.3
- make digikam support conditionnal

* Tue Mar 23 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.2-0.fdr.1
- version 0.9.2

* Mon Mar 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.1-0.fdr.2
- let rpm set dependencies on libjpeg and kdelibs
- desktop file for kde32 should not have the fedora prefix

* Sun Mar 21 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.1-0.fdr.1
- Initial RPM release.
